﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace TimerControl
{
    public partial class EmailTextBox : TextBox
    {
        public EmailTextBox()
        {
            InitializeComponent();
        }

        public EmailTextBox(IContainer container)
        {
            container.Add(this);

            InitializeComponent();
        }

        protected override void OnTextChanged(EventArgs e)
        {
            base.OnTextChanged(e);
            if (this.Text.Contains("@")) this.BackColor = Color.Green;
        }
    }
}
